from django.core.management.base import BaseCommand, CommandError
from apella.management.utils import ApellaCommand
from apella.models import Department


class Command(ApellaCommand):
    help = 'Modify department'

    def add_arguments(self, parser):
        parser.add_argument('department_id')

        parser.add_argument('--dep_number',
            dest='dep_number',
            action='store_true',
            help='Department\'s DEP number')

    def handle(self, *args, **options):
        department_id = options['department_id']
        dep_number = options['dep_number']

        try:
            department = Department.objects.get(id=department_id)
            department.dep_number = dep_number
            department.save()
            self.stdout.write(
                "Modified department %s" % department.pk)
        except Department.DoesNotExist:
            raise CommandError('Department %s does not exist' % department_id)
        except ValueError:
            raise CommandError('Department\'s DEP number must be an insteger')
