from django.core.management.base import BaseCommand, CommandError
from apella.management.utils import ApellaCommand
from apella.models import Institution, School, MultiLangFields


class Command(ApellaCommand):
    help = 'Create a school for the given institution'

    def add_arguments(self, parser):
        parser.add_argument('institution_id')
        parser.add_argument('el')
        parser.add_argument('en')

    def handle(self, *args, **options):
        institution_id = options['institution_id']
        title_el = options['el']
        title_en = options['en']

        try:
            institution = Institution.objects.get(id=institution_id)
            title = MultiLangFields.objects.create(
                    el=title_el, en=title_en)
            school = School.objects.create(
                institution=institution, title=title)

            self.stdout.write(
                "Created school %s : %s for institution: %s" %
                (school.pk, school.title.el, school.institution.id))
        except Institution.DoesNotExist:
            raise CommandError(
                "Institution %s does not exist" % institution_id)
        except BaseException, e:
            raise CommandError(e)
        except:
            self.stdout.write("Operation failed")
