from django.core.management.base import BaseCommand, CommandError
from apella.management.utils import ApellaCommand
from apella.models import SubjectArea, MultiLangFields


class Command(ApellaCommand):
    help = 'Create a subject area'

    def add_arguments(self, parser):
        parser.add_argument('el')
        parser.add_argument('en')

    def handle(self, *args, **options):
        title_el = options['el']
        title_en = options['en']

        try:
            title = MultiLangFields.objects.create(
                    el=title_el, en=title_en)
            subject_area = SubjectArea.objects.create(title=title)

            self.stdout.write(
                "Created subject area %s : %s" %
                (subject_area.pk, subject_area.title.el))
        except BaseException, e:
            raise CommandError(e)
        except:
            self.stdout.write("Operation failed")
